import React from 'react';
import { Meta } from '@storybook/react';
import { Provider } from 'react-redux';
import { configureStore } from '@reduxjs/toolkit';
import { graphQueryResultSlice, querybuilderSlice, schemaSlice, visualizationSlice } from '../../../data-access/store';
import { mockMobilityQueryResult, bigMockQueryResults } from '../../../mock-data';
import { MapComponent } from './mapvis';

const Mockstore = configureStore({
  reducer: {
    schema: schemaSlice.reducer,
    graphQueryResult: graphQueryResultSlice.reducer,
    visualize: visualizationSlice.reducer,
    querybuilder: querybuilderSlice.reducer,
  },
});

const Component: Meta<typeof MapComponent.component> = {
  title: 'Visualizations/MapVis',
  component: MapComponent.component,
  decorators: [
    (story) => (
      <Provider store={Mockstore}>
        <div
          style={{
            width: '100%',
            height: '100vh',
          }}
        >
          {story()}
        </div>
      </Provider>
    ),
  ],
};

export const DutchVehicleTheft = {
  args: {
    data: mockMobilityQueryResult,
    configuration: MapComponent.configuration,
  },
};

export const AmericanFlights = {
  args: {
    data: bigMockQueryResults,
    configuration: MapComponent.configuration,
  },
};

export default Component;
